#include <iostream>

using namespace std;

int main()
{
    long long n;
    cin>>n;
    int a[n];
    int m=0;
    long long mi=0;
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        if(a[i]>=m)
        {
            m=a[i];
            mi=i;
        }

    }
    long long i1=0;
    for(int i=0;i<n;i++)
    {
        if (a[i]<m)
        {
            i1=i;
            break;
        }
    }
    if(mi>i1)
    {
        swap(a[mi],a[i1]);
    }
    else
    {
        m=0;
        long long mi1=0;
        for (int i=(i1+1);i<n;i++)
        {
         if(a[i]>=m)
         {
             m=a[i];
             mi1=i;
         }
        }
        swap(a[mi1],a[i1]);
    }
    for(int i=0;i<n;i++)
        cout<<a[i]<<" ";
    return 0;
}